# BuyBorghiMobileServices.BorgoApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**borgoMypositionGet**](BorgoApi.md#borgoMypositionGet) | **GET** /borgo/myposition | Indica se l'utente si trova all'interno del borgo oppure no
[**route6**](BorgoApi.md#route6) | **POST** /borgo/ | 
[**route7**](BorgoApi.md#route7) | **GET** /borgo/ | 


<a name="borgoMypositionGet"></a>
# **borgoMypositionGet**
> IsUserInTown borgoMypositionGet(opts)

Indica se l'utente si trova all'interno del borgo oppure no

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoApi();

var opts = { 
  'lat': "lat_example", // String | Latitudine su cui basare la ricerca
  'lon': "lon_example" // String | Longitudine su cui basare la ricerca
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.borgoMypositionGet(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lat** | **String**| Latitudine su cui basare la ricerca | [optional] 
 **lon** | **String**| Longitudine su cui basare la ricerca | [optional] 

### Return type

[**IsUserInTown**](IsUserInTown.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: Not defined

<a name="route6"></a>
# **route6**
> route6(body)



### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoApi();

var body = new BuyBorghiMobileServices.Poligono(); // Poligono | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.route6(body, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Poligono**](Poligono.md)|  | 

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="route7"></a>
# **route7**
> BorgoResult route7()



### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route7(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**BorgoResult**](BorgoResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

