# BuyBorghiMobileServices.BorgoborgopagesApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route21**](BorgoborgopagesApi.md#route21) | **GET** /borgo/{borgo}/pages/{pageId}/followers | Lista utenti che preferiscono una specifica pagina


<a name="route21"></a>
# **route21**
> UserResult route21(borgo, pageId, opts)

Lista utenti che preferiscono una specifica pagina

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgopagesApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var pageId = "pageId_example"; // String | 

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina (default 5)
  'off': "off_example" // String | Offset
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route21(borgo, pageId, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **pageId** | **String**|  | 
 **limit** | **String**| Limite risultati per pagina (default 5) | [optional] 
 **off** | **String**| Offset | [optional] 

### Return type

[**UserResult**](UserResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

