# BuyBorghiMobileServices.DomainApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route26**](DomainApi.md#route26) | **GET** /domain/interests | API che ritorna l'elenco delle keyword per gli interessi presenti nella piattaforma
[**route27**](DomainApi.md#route27) | **GET** /domain/businessType | API che ritorna l'elenco delle keyword per gli le tipologie di impresa presenti nella piattaforma


<a name="route26"></a>
# **route26**
> SearchResult route26(opts)

API che ritorna l'elenco delle keyword per gli interessi presenti nella piattaforma

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.DomainApi();

var opts = { 
  'text': "text_example" // String | ricerca per testo
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route26(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **text** | **String**| ricerca per testo | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="route27"></a>
# **route27**
> SearchResult route27(opts)

API che ritorna l'elenco delle keyword per gli le tipologie di impresa presenti nella piattaforma

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.DomainApi();

var opts = { 
  'text': "text_example" // String | ricerca per testo
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route27(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **text** | **String**| ricerca per testo | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

