# BuyBorghiMobileServices.UserApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route20**](UserApi.md#route20) | **GET** /user/pages | Lista pagine amministrate dall'utente


<a name="route20"></a>
# **route20**
> SearchResult route20(opts)

Lista pagine amministrate dall'utente

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.UserApi();

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina (default 5)
  'off': "off_example", // String | Offset
  'sort': "sort_example" // String | Ordinamento per data di ultima modifica della pagina sort=modifica (default per pagina che ha il messaggio piu' recente)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route20(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **String**| Limite risultati per pagina (default 5) | [optional] 
 **off** | **String**| Offset | [optional] 
 **sort** | **String**| Ordinamento per data di ultima modifica della pagina sort=modifica (default per pagina che ha il messaggio piu' recente) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

