# SwaggerJsClient.WelcomeApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**welcomeGet**](WelcomeApi.md#welcomeGet) | **GET** /welcome | Check if user is phisically in town


<a name="welcomeGet"></a>
# **welcomeGet**
> GetWelcomeResponse welcomeGet(lat, lon)

Check if user is phisically in town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.WelcomeApi();

var lat = 8.14; // Number | User&#39;s latitude

var lon = 8.14; // Number | User&#39;s longitude


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.welcomeGet(lat, lon, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lat** | **Number**| User&#39;s latitude | 
 **lon** | **Number**| User&#39;s longitude | 

### Return type

[**GetWelcomeResponse**](GetWelcomeResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

